#include <iostream>
#include <vector>

using namespace std;

const int maxn = 1000005;
int num[maxn];
int numOfDeliteli[maxn];  ///numOfDeliteli[i] - брой числа, делящи i
int numOfKratni[maxn];    ///numOfKratni[i] - брой числа, кратни на i

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n;

    for(int i=0; i<n; i++){
        cin >> num[i];
    }

    for(int i=0; i<n; i++){
        for(int j=i+1; j<n; j++){
            if(num[i] < num[j] && num[j] % num[i] == 0){  /// => i/j
                numOfDeliteli[j]++;
                numOfKratni[i]++;
            }
            if(num[i] > num[j] && num[i] % num[j] == 0){  /// => j/i
                numOfDeliteli[i]++;
                numOfKratni[j]++;
            }
        }
    }

    long long ans = 0;
    for(int i=0; i<n; i++){
       ans += numOfDeliteli[i]*numOfKratni[i];
    }

    cout << ans << endl;

    return 0;
}
